MVCSoftSubTask.MVCSoftVersionTypes (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.mvcsoft.ejb.MVCSoftSubTask.MVCSoftVersionTypes class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.mvcsoft.ejb
Class MVCSoftSubTask.MVCSoftVersionTypes

    java.lang.Object
      org.apache.tools.ant.types.EnumeratedAttribute
          xdoclet.modules.mvcsoft.ejb.MVCSoftSubTask.MVCSoftVersionTypes

Enclosing class:
  MVCSoftSubTask

public static class MVCSoftSubTask.MVCSoftVersionTypes
extends org.apache.tools.ant.types.EnumeratedAttribute

Author:
  Daniel OConnor (docodan@mvcsoft.com)
created
  November 1, 2001

Field Summary
`static String` | `VERSION_1_0_0`
`static String` | `VERSION_1_1`

Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`value`

Constructor Summary
`MVCSoftSubTask.MVCSoftVersionTypes()`

Method Summary
`String[]` | `getValues()` Gets the Values attribute of the MVCSoftVersionTypes object.

Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`containsValue, getIndex, getValue, indexOfValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### VERSION_1_0_0

    public static final String VERSION_1_0_0

See Also:
  Constant Field Values

### VERSION_1_1

    public static final String VERSION_1_1

See Also:
  Constant Field Values

Constructor Detail

### MVCSoftSubTask.MVCSoftVersionTypes

    public MVCSoftSubTask.MVCSoftVersionTypes()

Method Detail

### getValues

    public String[] getValues()

  Gets the Values attribute of the MVCSoftVersionTypes object.

  Returns:
    The Values value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD